Summary: A statically linked shell, including some built-in basic commands.
Name: sash
Version: 3.4
Release: 1.0.1 
Copyright: GPL
Group: System Environment/Shells
Source0: http://www.canb.auug.org.au/~dbell/programs/sash-%{version}.tar.gz
Patch0: sash-3.3-misc.patch
Patch1: sash-3.4-scriptarg.patch
Patch2: sash-3.4-losetup.patch
Buildroot: /var/tmp/sash-root

%description
Sash is a simple, standalone, statically linked shell which includes
simplified versions of built-in commands like ls, dd and gzip.  Sash
is statically linked so that it can work without shared libraries, so
it is particularly useful for recovering from certain types of system
failures.  Sash can also be used to safely upgrade to new versions of
shared libraries.

%prep
%setup -q
%patch0 -p1 -b ".misc"
%patch1 -p1 -b ".scriptarg"
%patch2 -p1 -b ".losetup"

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8

install -s -m755 sash $RPM_BUILD_ROOT/sbin
install -m644 sash.1 $RPM_BUILD_ROOT%{_mandir}/man8/sash.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/sbin/sash
%{_mandir}/man8/sash.8*

%changelog
* Thu Mar 29 2000 Nicholas DeClario <nick@guardiandigital.com>
-  Added sash package to distro
